#
# spec file for package libxml (Version 1.8.15)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libxml
%define prefix      %{_prefix}
%define sysconfdir  %{_sysconfdir}
%define prefixgnome /opt/gnome
Copyright:	LGPL
Group:		X11/Libraries
Provides:	libxml 
Autoreqprov:	on
Summary:      Library to manipulate XML files
Version:      1.8.15
Release:      32
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/libxml/libxml-%{version}.tar.bz2
Patch:		libxml-1.8.10.dif
BuildRoot:	%{_tmppath}/%{name}-root
URL: http://xmlsoft.org

%description
XML is said to be the upcoming standard file format of the World Wide Web.
Many applications use libxml to load and save extensible datastructures
and the new webformat.

Authors:
--------
    Daniel Veillard <Daniel.Veillard@w3.org>
    Raja R Harinath <harinath@cs.umn.edu>
    Tom Tromey <tromey@cygnus.com>
    Christopher Blizzard <blizzard@appliedtheory.com>

SuSE series: d

%package  -n libxml-devel
Summary:      libxml development package
Group:        Development/Libraries
Autoreqprov:  on
Obsoletes: libxmld
Requires: libxml

%description -n libxml-devel
Libraries and includes to compile applications that use the libxml.

Authors:
--------
    cf. package "libxml"

SuSE series: d

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
LIBS="-L/usr/X11R6/lib" \
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
                                    --sysconfdir=%sysconfdir
#                                    --with-html-dir=%{prefix}/doc/packages/libxml
# libz lives at /usr/X11R6/lib
make XML_LIBDIR="-L/usr/lib -L/usr/X11R6/lib"

%install
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT \
     XML_LIBDIR="-L/usr/lib -L/usr/X11R6/lib" install
# make prefix=$RPM_BUILD_ROOT%{prefix} \
#      sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
#      XML_LIBDIR="-L/usr/lib -L/usr/X11R6/lib" install
# (cd doc && make install-docdataDATA prefix=$RPM_BUILD_ROOT%{prefix} \
#                 HTML_DIR=$RPM_BUILD_ROOT%{prefix}/doc/packages/libxml)
%{INSTALL_DIR} $RPM_BUILD_ROOT%{prefixgnome}/lib
cd $RPM_BUILD_ROOT%{prefixgnome}/lib && ln -s ../../../usr/lib/xmlConf.sh .
chmod +x $RPM_BUILD_ROOT%{prefix}/lib/lib*.so.*
/sbin/ldconfig -n $RPM_BUILD_ROOT%{prefix}/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB TODO
%{prefix}/lib/lib*.so.*

%files -n libxml-devel
%defattr(-, root, root)
%doc doc/*.{html,gif}
%doc doc/html
%doc example
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{_bindir}/*
%{prefix}/include/*
%{_libdir}/pkgconfig
%{prefixgnome}/lib/xmlConf.sh

%changelog -n libxml
* Fri Aug 24 2001 - ke@suse.de
- Update to version 1.8.15:
- Fix a parser bug; nautilus was affected.
- Add ldconfig call.
* Fri Jun 29 2001 - ke@suse.de
- Update to version 1.8.14.
* Mon May 21 2001 - ke@suse.de
- Update to version 1.8.13.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Mon Jan 22 2001 - ke@suse.de
- Update to version 1.8.11.
* Mon Dec 11 2000 - bk@suse.de
- %%{prefix}/bin/*(/usr/bin/xml-config) belongs to the -devel package
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 08 2000 - egger@suse.de
- Updated to version 1.8.10.
* Tue Sep 05 2000 - egger@suse.de
- Updated to version 1.8.9.
* Wed Mar 22 2000 - schwab@suse.de
- Fix libtool bug.
* Wed Mar 22 2000 - schwab@suse.de
- Update config.{guess,sub} from automake.
* Wed Mar 15 2000 - ke@suse.de
- update to version 1.8.7.
- ./configure -> %%build.
* Tue Feb 01 2000 - ke@suse.de
- update to version 1.8.6.
* Sun Jan 23 2000 - ke@suse.de
- update to version 1.8.5.
* Fri Jan 14 2000 - ke@suse.de
- update: version 1.8.4.
* Mon Jan 10 2000 - ke@suse.de
- update: version 1.8.3.
* Wed Dec 15 1999 - ke@suse.de
- update: version 1.7.4.
* Sat Oct 02 1999 - ke@suse.de
- update: version 1.7.3.
- fix check macro.
- spec file cleanup (e.g., do provide libxml-devel).
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Aug 21 1999 - ke@suse.de
- update: version 1.4.0
* Sat Jul 10 1999 - ke@suse.de
- update: version 1.3.0.
* Fri Jun 04 1999 - ke@suse.de
- update: version 1.1.0.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 04 1999 - ke@suse.de
- update: version 1.0.0.
* Sun Feb 28 1999 - ke@suse.de
- filelist: add xml-config.
* Sun Feb 28 1999 - ke@suse.de
- make it GNOME compatible: link xmlConf.sh into a GNOME dir; provide
-L/usr/X11R6/lib for linking against libz.
- install docu.
* Wed Feb 17 1999 - ke@suse.de
- update: version 0.99.8.
* Thu Feb 04 1999 - ke@suse.de
- update: version 0.99.5.
- make *.so.* executable.
* Sun Jan 10 1999 - ke@suse.de
- update: version 0.99.
* Wed Dec 02 1998 - ke@suse.de
- initial package: version 0.30.
